
Installer - Bug #28930

PostgreSQL upgrade breaks if an extension is installed

02/05/2020 10:41 AM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: foreman-installer script   

Target version: 2.0.0   

Difficulty:  Fixed in Releases: 2.0.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/465

  

Description

When using the PostgreSQL database for PuppetDB, an extension in installed. If postgresql-contrib is installed,

rh-postgresql12-postgresql-contrib(-syspaths) should be installed prior to the migration.

Related issues:

Related to Installer - Feature #28697: Upgrade to Postgresql 12 Closed

Associated revisions

Revision 864ee234 - 02/12/2020 01:04 PM - Eric Helms

Fixes #28930: Install SCL postgresql-contrib if postgresql-contrib present

History

#1 - 02/05/2020 10:42 AM - Ewoud Kohl van Wijngaarden

- Related to Feature #28697: Upgrade to Postgresql 12 added

#2 - 02/11/2020 06:06 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Eric Helms

- Pull request https://github.com/theforeman/foreman-installer/pull/465 added

#3 - 02/12/2020 01:04 PM - The Foreman Bot

- Fixed in Releases 2.0.0 added

#4 - 02/12/2020 02:01 PM - Eric Helms

- Status changed from Ready For Testing to Closed

Applied in changeset installer|864ee234fa04a924b77a051c775ce58efd4acbdd.
